Bug 240951 - rfe: dbus interface to get all connected audio cards
rfe: dbus interface to get all connected audio cards
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-alsaaudio (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-23 07:42 EDT by Andy Shevchenko
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 08:34:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dbus support for alsaaudio binding (4.53 KB, patch)
2007-05-23 07:42 EDT, Andy Shevchenko
no flags Details | Diff
spec.diff (707 bytes, patch)
2007-05-23 07:44 EDT, Andy Shevchenko
no flags Details | Diff

  None (edit)
Description Andy Shevchenko 2007-05-23 07:42:12 EDT
Description of problem:
The current version of the alsaaudio binding requires (in more than one sound 
card environment) the name of the card.
I propose to add Cards interface to get non-interactively the list of the 
connected cards.

Additional info:
The two attach is for sources and spec file.
After file this bug I'll send the copy to the maintainer email.

Thanks.
Comment 1 Andy Shevchenko 2007-05-23 07:42:12 EDT
Created attachment 155230 [details]
dbus support for alsaaudio binding
Comment 2 Andy Shevchenko 2007-05-23 07:44:30 EDT
Created attachment 155231 [details]
spec.diff
Comment 3 Andy Shevchenko 2007-11-15 08:34:24 EST
python-alsa is a native python ALSA bindings. The package already has been 
included the described method (by functionality) to get cards list.

So, I close this bug and switch my own software to the python-alsa.

Note You need to log in before you can comment on or make changes to this bug.